FROM golang:1.10

# Update to use Debian archive repositories
RUN sed -i s/deb.debian.org/archive.debian.org/g /etc/apt/sources.list && \
    sed -i s/security.debian.org/archive.debian.org/g /etc/apt/sources.list && \
    sed -i '/stretch-updates/d' /etc/apt/sources.list

# Update package list and install necessary packages
RUN apt-get update && apt-get install -y git python curl

# Install Docker and Docker Compose
COPY --from=library/docker:latest /usr/local/bin/docker /usr/bin/docker
COPY --from=docker/compose:1.24.0 /usr/local/bin/docker-compose /usr/bin/docker-compose

# Install Node.js (version 14 for compatibility with npm 5.6.0)
RUN curl -sL https://deb.nodesource.com/setup_8.x | bash -
RUN apt-get install -y nodejs

# Update npm and yarn
# RUN npm install npm@5.6.0 -g
# RUN npm --version && node --version
RUN npm install yarn -g

# Install Fabric binaries
RUN curl -sSL http://bit.ly/2ysbOFE | bash -s -- 1.4.3 -s -d

# Set the working directory
WORKDIR /home/src

# Copy the source code
COPY src .

# Define the command to run the application
CMD [ "make", "start" ]



